package com.community.huiju.model;

import javax.validation.constraints.*;
import java.util.Date;

public class ToBanner {
    private Integer id;

    @NotBlank(message = "标题不能为空!")
    private String title;

    @Min(value = 0,message = "请选择有效的投放社区!")
    @NotNull(message = "投放社区不能为空！")
    private Integer communityId;

    // @NotBlank(message = "跳转描述不能为空!")
    private String bannerDescription;

    @NotNull(message = "权重不能空!")
    private Integer sort;

    @NotBlank(message = "banner图片不能为空!")
    private String bannerCover;

    @Min(value = 0,message = "请选择有效的banner位!")
    @NotNull(message = "banner位不能空!")
    private Integer bannerPosition;

    @NotNull(message = "生效时间不能为空!")
    private Date effTime;

    @NotNull(message = "失效时间不能为空!")
    private Date expTime;

    @NotBlank(message = "banner类型不能为空!")
    private String bannerType;

    private String externalLink;

    private String bannerTitle;

    private Integer createUser;

    private Date createDate;

    private Integer updateUser;

    private Date updateDate;

    private String bannerContent;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title == null ? null : title.trim();
    }

    public Integer getCommunityId() {
        return communityId;
    }

    public void setCommunityId(Integer communityId) {
        this.communityId = communityId;
    }

    public String getBannerDescription() {
        return bannerDescription;
    }

    public void setBannerDescription(String bannerDescription) {
        this.bannerDescription = bannerDescription == null ? null : bannerDescription.trim();
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public String getBannerCover() {
        return bannerCover;
    }

    public void setBannerCover(String bannerCover) {
        this.bannerCover = bannerCover == null ? null : bannerCover.trim();
    }

    public Integer getBannerPosition() {
        return bannerPosition;
    }

    public void setBannerPosition(Integer bannerPosition) {
        this.bannerPosition = bannerPosition;
    }

    public Date getEffTime() {
        return effTime;
    }

    public void setEffTime(Date effTime) {
        this.effTime = effTime;
    }

    public Date getExpTime() {
        return expTime;
    }

    public void setExpTime(Date expTime) {
        this.expTime = expTime;
    }

    public String getBannerType() {
        return bannerType;
    }

    public void setBannerType(String bannerType) {
        this.bannerType = bannerType == null ? null : bannerType.trim();
    }

    public String getExternalLink() {
        return externalLink;
    }

    public void setExternalLink(String externalLink) {
        this.externalLink = externalLink == null ? null : externalLink.trim();
    }

    public String getBannerTitle() {
        return bannerTitle;
    }

    public void setBannerTitle(String bannerTitle) {
        this.bannerTitle = bannerTitle == null ? null : bannerTitle.trim();
    }

    public Integer getCreateUser() {
        return createUser;
    }

    public void setCreateUser(Integer createUser) {
        this.createUser = createUser;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Integer getUpdateUser() {
        return updateUser;
    }

    public void setUpdateUser(Integer updateUser) {
        this.updateUser = updateUser;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    public String getBannerContent() {
        return bannerContent;
    }

    public void setBannerContent(String bannerContent) {
        this.bannerContent = bannerContent == null ? null : bannerContent.trim();
    }
}